// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancysock.h 717 2010-08-02 09:44:58Z fancylibs $
**
** Copyright (C) 2003 EV-i Informationstechnologie GmbH
**
** Author: Wolfgang Glas / EV-i
**
** Global ABI stuff.
** 
*****************************************************************************/

#ifndef FANCYSOCK_H
#define FANCYSOCK_H

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancysock2_DLL
#   define FANCYSOCK_API __attribute__((dllexport))
#  else
#   define FANCYSOCK_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_fancysock2_DLL
#   define FANCYSOCK_API __declspec(dllexport)
#  else
#   define FANCYSOCK_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYSOCK_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYSOCK_INTERNAL_API
#define FANCYSOCK_INTERNAL_API
#endif

#ifndef FANCYSOCK_API
#define FANCYSOCK_API
#endif

#endif // ! FANCYSOCK_H
