/*
 * fancysockclientterminationlistener.h
 *
 *  Created on: 10.08.2009
 *      Author: wglas
 */

#ifndef FANCYSOCKCLIENTTERMINATIONLISTENER_H_
#define FANCYSOCKCLIENTTERMINATIONLISTENER_H_

#include <fancysock.h>
#include <fancyobject.h>

namespace Fancy {

class UID;

namespace Sock {

/**
 * An interface implemented by beans, which need to be informed about
 * a remoting client which terminates.
 */
class FANCYSOCK_API ClientTerminationListener: public virtual Fancy::Object {
protected:
    ClientTerminationListener();
    virtual ~ClientTerminationListener();
public:
    typedef Fancy::ObjPtr<ClientTerminationListener> ptr_t;
    virtual void clientTerminated(const Fancy::ObjPtr<Fancy::UID> &clientUID) = 0;
};

}

}

#endif /* FANCYSOCKCLIENTTERMINATIONLISTENER_H_ */
